MongoClient::dropDB
MongoClient::getConnections
MongoClient
PHP Manual

# MongoClient::__get

Gets a database

### Description

public MongoDB MongoClient::__get ( string `$dbname` )

This is the cleanest way of getting a database. If the database name has any special characters, MongoClient::selectDB will need to be used; however, this should be sufficient for most cases.

`<?php
$mongo = new MongoClient();
// the following two lines are equivalent
$db = $mongo->selectDB("foo");
$db = $mongo->foo;
?>`

### Parameters

`dbname`

  The database name.

### Return Values

Returns a new db object.

### Errors/Exceptions

Throws a generic exception if the database name is invalid.